package Tetris;
import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionListener;

public class GameGui {
    public static final int width= 550, height =650;
    private Board board;
    private JFrame frame;

    //Zhe Wang-Holkenbrink
    public GameGui(String playername){
        frame = new JFrame("Tetris " + playername);
        JPanel panel = new JPanel();
        panel.setBorder(BorderFactory.createMatteBorder(500, 10, 10, 50,Color.black));

        //Button
        JButton buttonStop = new JButton("Pause");
        buttonStop.setPreferredSize( new Dimension(100,30));
        JButton buttonVerlassen = new JButton("verlassen");
        buttonVerlassen.setPreferredSize( new Dimension(100,30));



        //Button untereinander
        panel.setLayout(new GridLayout(0,1));
        panel.setBackground(Color.YELLOW);
        panel.add(buttonStop);
        panel.add(buttonVerlassen);


        frame.add(panel,BorderLayout.EAST);
        frame.setSize(width,height);
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.setResizable(false);
        frame.setVisible(true);
        board = new Board();
        frame.addKeyListener(board);
        frame.add(board,BorderLayout.CENTER);
        frame.requestFocusInWindow();

//        ActionListener al = ev -> {if(ev.getSource() == buttonVerlassen)
//        {
//            System.exit(0);
//        }
//        };
//
//        buttonStop.addActionListener(al);
    }

}
