package Tetris;

import javax.swing.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.List;

public class Game {
    public static void main(String[] args) {

        // Datenbankverbindung herstellen
        PlayerDBController playerDBController = PlayerDBController.getInstance();
        playerDBController.initDBConnection();
        List<Player> playerListe = playerDBController.holeSpielerDaten();
        JFrame tetrisMenueJframe = new TetrisMenue("Tetris");
        tetrisMenueJframe.setVisible(true);
        TetrisMenue tetrisMenue = (TetrisMenue) tetrisMenueJframe;
        tetrisMenue.getSpielStartenButton().addActionListener(new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent e) {
                String spielerName = tetrisMenue.getSpielerNameTextField().getText();
                new GameGui(spielerName);
                PlayerDBController.getInstance().speichereSpieler(new Player(spielerName,0));
                tetrisMenueJframe.setVisible(false);
            }
        });
//        Menue menue = new Menue();
//        final Player[] aktuellerSpieler = new Player[1];
//        menue.getButton().addActionListener(new java.awt.event.ActionListener() {
//            @Override
//            public void actionPerformed(java.awt.event.ActionEvent evt) {
//                aktuellerSpieler[0] = new Player(menue.getTextField().getText(), 0);
//                menue.getParent().setVisible(false);
//                //new GameGui(name);
//                playerDBController.speichereSpieler(aktuellerSpieler[0]);
//            }
//        });

        //String playername = menue.getName();
        //new GameGui(playername);
    }
}